{ config, lib, ... }: {
  config = {
    services.displayManager.sddm = lib.mkIf config.services.displayManager.sddm.wayland.enable {
      settings.General.GreeterEnvironment = (
        lib.concatStringsSep " " ((
            let
              localeConf = config.i18n.extraLocaleSettings;
            in
              builtins.map
                (name: "${name}=${localeConf.${name}}")
                (builtins.attrNames localeConf)
          ) ++ (
            lib.optional config.services.desktopManager.plasma6.enable
            "QT_WAYLAND_SHELL_INTEGRATION=layer-shell")));

      wayland.compositor = lib.mkIf config.services.displayManager.sddm.wayland.enable "kwin";
    };
  };
}
